Skills
Update a skill
Modifies the specified skill's configuration.
路徑參數
name
string
必要
The name of the skill to update.
標頭參數
Foundry-Features
enum
必要
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
查詢參數
api-version
string
必要
The API version to use for this operation.
要求本文
default_version
string
必要
The version identifier that the skill should point to. When set, the skill's default version will resolve to this version instead of the latest.
回覆
The request has succeeded.
主體
id
string
必要
The unique identifier of the skill.
name
string
必要
A skill name following the agentskills.io spec: lowercase letters, numbers, and hyphens only. Must not start or end with a hyphen or contain consecutive hyphens.
description
string
必要
A human-readable description of the skill.
default_version
string
必要
The default version for the skill. Can be changed via updateSkill.
latest_version
string
必要
The latest version for the skill.
Request
POST /skills/{name} HTTP/1.1
回應
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json